using _Workbench.Layers.Modules;
using Quadarax.Foundation.Infrastructure.Layers;
using StructureMap;

namespace _Workbench.Layers
{
    public class DefaultDataLayer : DataLayer
    {
        public DefaultDataLayer(string name, Layer parentLayer) : base(name, parentLayer)
        {
        }

        protected override void OnLayerRegistry()
        {
        }

        protected override void OnModuleRegistry(IContainer container)
        {
            container.Configure(x=>
                x.For<IModData>().Use<ModData>());
        }
    }
}
